oob(1)

NAME
oob - OOC symbol file browser

SYNOPSIS
oob [options] <module>

DESCRIPTION
oob displays the interface definition of a module, based on information extracted from the module's symbol file. It accepts a single argument, the name of a module. The contents of the symbol file are written to stdout in an extended module syntax. Compared an Oberon-2 module, it differs in these points:

Expanded Module Names
    The module part of a type name is expanded to the full name of the module. That is, aliases assigned through import statements are discarded.

Inherited Fields
    With -x, a record type shows the list of all its fields, including the ones it inherits from its base types.

Type-bound Procedures
    With -x, a record definition lists all type-bound procedures associated with it within its RECORD ... END block, and includes both local and inherited procedures.

OPTIONS

--config <file>
    Use given file as configuration file.

--repository <directory>, -r <directory>
    Add a directory to the list of repositories.

--extended, -x
    For records, include inherited fields and type-bound procedures in the output. By default, only the local fields of the record and all type-bound procedures that are not redefinition of existing ones are displayed.

--help, -h
    Write short usage summary and exit.

ENVIRONMENT
OO2CRC holds the name of the configuration file. OOC_REPS is a list of repository paths, separated by colons (:). Empty paths are ignored.

DIAGNOSTICS
Exit status is 0 on success, and 1 otherwise.

SEE ALSO
oo2c(1), OOC2 Reference Manual

AUTHOR
Michael van Acken <mva@users.sf.net>